class ReportsHistoricalsController < ApplicationController

  include StorageFile
  
  respond_to :html

  def index
    @user_historicals = get_all_history
  end

  DittoCode::Exec.if 'ENTERPRISE' do

    def visualize_pdf
      @reports_historical = ReportsHistorical.find(params[:id])
      pdf_data = fetch_pdf_data(@reports_historical)
      show_pdf(pdf_data, @reports_historical.report.name)
    end

  end

  private
  # Use callbacks to share common setup or constraints between actions.
  def get_all_history
    return ReportsHistorical.all.order(:created_at)
  end

  # Fetch PDF content from the provided URL
  def fetch_pdf_data(reports_historical)
    URI.open(
      StorageFile.get_uri("rb-webui/reports_historicals/#{reports_historical.id}"),
      ssl_verify_mode: OpenSSL::SSL::VERIFY_NONE
    ).read
  end

end
